Bug 112929 - kdemultimedia-3.1.4.src.rpm stops while compiling with ALSA support
kdemultimedia-3.1.4.src.rpm stops while compiling with ALSA support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-05 23:27 EST by Andre Moraes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 16:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specfile modified to compile arts (6.98 KB, text/plain)
2004-01-05 23:29 EST, Andre Moraes
no flags Details
Kdemultimedia SPECFILE modified to build the package with ALSA support (17.48 KB, text/plain)
2004-01-05 23:32 EST, Andre Moraes
no flags Details

  None (edit)
Description Andre Moraes 2004-01-05 23:27:09 EST
Description of problem:

While compiling kdemultimedia with alsa support, I've stucked on
building of kmidi component. 

I've used the command:

#rpmbuild -ba --target=athlon kdemultimedia.spec

I'll post the contents of kdemultimedia below. During the build
process, rpmbuild stop and throw the following message:

alsa_a.c:136: error: syntax error before '*' token
alsa_a.c:136: warning: type defaults to `int' in declaration of `handle'
alsa_a.c:136: warning: data definition has no type or storage class
alsa_a.c:143: warning: no previous prototype for `alsa_tell'
alsa_a.c: In function `error_report':
alsa_a.c:151: warning: implicit declaration of function `snd_strerror'
alsa_a.c: In function `check_sound_cards':
alsa_a.c:161: error: storage size of `ctl_hw_info' isn't known
alsa_a.c:162: error: `snd_pcm_info_t' undeclared (first use in this
function)
alsa_a.c:162: error: (Each undeclared identifier is reported only once
alsa_a.c:162: error: for each function it appears in.)
alsa_a.c:162: error: syntax error before "pcm_info"
alsa_a.c:163: error: `snd_ctl_t' undeclared (first use in this function)
alsa_a.c:163: error: `ctl_handle' undeclared (first use in this function)
alsa_a.c:177: warning: implicit declaration of function `snd_cards'
alsa_a.c:197: warning: implicit declaration of function `snd_ctl_open'
alsa_a.c:205: warning: implicit declaration of function `snd_ctl_hw_info'
alsa_a.c:211: warning: implicit declaration of function `snd_ctl_close'
alsa_a.c:231: warning: implicit declaration of function `snd_ctl_pcm_info'
alsa_a.c:231: error: `pcm_info' undeclared (first use in this function)
alsa_a.c:239: error: `SND_PCM_INFO_PLAYBACK' undeclared (first use in
this function)
alsa_a.c:161: warning: unused variable `ctl_hw_info'
alsa_a.c:158: warning: unused parameter `extra_param'
alsa_a.c: In function `set_playback_info':
alsa_a.c:273: error: `snd_pcm_channel_info_t' undeclared (first use in
this function)
alsa_a.c:273: error: syntax error before "playback_info"
alsa_a.c:274: error: `snd_pcm_format_t' undeclared (first use in this
function)
alsa_a.c:279: error: storage size of `playback_params' isn't known
alsa_a.c:280: error: storage size of `playback_status' isn't known
alsa_a.c:281: error: storage size of `setup' isn't known
alsa_a.c:285: error: `pcm_format' undeclared (first use in this function)
alsa_a.c:289: error: `SND_PCM_CHANNEL_PLAYBACK' undeclared (first use
in this function)
alsa_a.c:290: error: `SND_PCM_MODE_BLOCK' undeclared (first use in
this function)
alsa_a.c:292: error: `playback_info' undeclared (first use in this
function)
alsa_a.c:295: warning: implicit declaration of function
`snd_pcm_plugin_info'
alsa_a.c:333: error: `SND_PCM_FMT_S16_LE' undeclared (first use in
this function)
alsa_a.c:335: error: `SND_PCM_SFMT_S16_LE' undeclared (first use in
this function)
alsa_a.c:338: error: `SND_PCM_FMT_U16_LE' undeclared (first use in
this function)
alsa_a.c:340: error: `SND_PCM_SFMT_U16_LE' undeclared (first use in
this function)
alsa_a.c:343: error: `SND_PCM_FMT_S16_BE' undeclared (first use in
this function)
alsa_a.c:345: error: `SND_PCM_SFMT_S16_BE' undeclared (first use in
this function)
alsa_a.c:348: error: `SND_PCM_FMT_U16_BE' undeclared (first use in
this function)
alsa_a.c:363: error: `SND_PCM_FMT_U8' undeclared (first use in this
function)
alsa_a.c:365: error: `SND_PCM_SFMT_U8' undeclared (first use in this
function)
alsa_a.c:368: error: `SND_PCM_FMT_S8' undeclared (first use in this
function)
alsa_a.c:437: warning: implicit declaration of function
`snd_pcm_plugin_flush'
alsa_a.c:439: error: `SND_PCM_START_FULL' undeclared (first use in
this function)
alsa_a.c:440: error: `SND_PCM_STOP_STOP' undeclared (first use in this
function)
alsa_a.c:443: warning: implicit declaration of function
`snd_pcm_channel_params'
alsa_a.c:459: warning: implicit declaration of function
`snd_pcm_plugin_prepare'
alsa_a.c:467: warning: implicit declaration of function
`snd_pcm_plugin_setup'
alsa_a.c:477: warning: implicit declaration of function
`snd_pcm_plugin_status'
alsa_a.c:279: warning: unused variable `playback_params'
alsa_a.c:280: warning: unused variable `playback_status'
alsa_a.c:281: warning: unused variable `setup'
alsa_a.c: In function `open_output':
alsa_a.c:506: warning: implicit declaration of function `snd_pcm_open'
alsa_a.c:507: error: `SND_PCM_OPEN_PLAYBACK' undeclared (first use in
this function)
alsa_a.c:507: error: `SND_PCM_OPEN_NONBLOCK' undeclared (first use in
this function)
alsa_a.c:528: warning: implicit declaration of function
`snd_pcm_file_descriptor'
alsa_a.c:528: error: `SND_PCM_CHANNEL_PLAYBACK' undeclared (first use
in this function)
alsa_a.c: In function `close_output':
alsa_a.c:540: warning: implicit declaration of function `snd_pcm_close'
alsa_a.c: At top level:
alsa_a.c:574: warning: no previous prototype for `playback_write_error'
alsa_a.c: In function `playback_write_error':
alsa_a.c:575: error: `snd_pcm_channel_status_t' undeclared (first use
in this function)
alsa_a.c:575: error: syntax error before "status"
alsa_a.c:577: error: `status' undeclared (first use in this function)
alsa_a.c:578: error: `SND_PCM_CHANNEL_PLAYBACK' undeclared (first use
in this function)
alsa_a.c:583: error: `SND_PCM_STATUS_UNDERRUN' undeclared (first use
in this function)
alsa_a.c:591: error: `SND_PCM_STATUS_READY' undeclared (first use in
this function)
alsa_a.c:598: error: `SND_PCM_STATUS_RUNNING' undeclared (first use in
this function)
alsa_a.c: In function `driver_output_data':
alsa_a.c:610: warning: implicit declaration of function
`snd_pcm_plugin_write'
alsa_a.c: In function `output_count':
alsa_a.c:622: error: storage size of `playback_status' isn't known
alsa_a.c:622: warning: unused variable `playback_status'
alsa_a.c: In function `flush_output':
alsa_a.c:670: error: `SND_PCM_CHANNEL_PLAYBACK' undeclared (first use
in this function)
alsa_a.c: In function `purge_output':
alsa_a.c:676: warning: implicit declaration of function
`snd_pcm_plugin_playback_drain'
alsa_a.c:678: error: `SND_PCM_CHANNEL_PLAYBACK' undeclared (first use
in this function)
make[3]: *** [alsa_a.o] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-3.1.4-patched/kmidi/TIMIDITY'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-3.1.4-patched/kmidi'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-3.1.4-patched'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.38748 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.38748 (%build)


Version-Release number of selected component (if applicable): Tested
against Fedora Core Release 1, kdemultimedia-3.1.4.src.rpm


How reproducible: I've not tested yet if this error will help again.


Steps to Reproduce:
1. Install and configure alsa-drivers (rpm built upon freshrpms.net
source code);
2. Rebuild arts rpms, from arts-1.1.4.src.rpm - fedora official
package (spec file will be shown below - option --with-alsa added);
3. Install kdemultimedia-3.1.4.src.rpm, modify kdemultimedia.spec, as
show below and issue #rpmbuild -ba --target=<your-platform-here> and
wait a little bit. The option --without-alsa was removed, the option
--enable-audio=oss,alsa, --with-alsa and --with-arts-alsa were added;
  
Actual results:

Package build stops.

Expected results:
Of course, a kdemultimedia with alsa support ;)


Additional info:

See the files appended to this bug report.
Comment 1 Andre Moraes 2004-01-05 23:29:47 EST
Created attachment 96778 [details]
Specfile modified to compile arts

The specfile attached was modified to compile arts with alsa support. The build
running alright and the packages (binaries, devel, debuginfo and src.rpm) were
created and installed without problems or any broken dependencies.
Comment 2 Andre Moraes 2004-01-05 23:32:10 EST
Created attachment 96779 [details]
Kdemultimedia SPECFILE modified to build the package with ALSA support

This specfile was used when I've tried to build kdemultimedia-3.1.4 with ALSA
support enabled. The build stopped and show me the errors listed on bug
description.
Comment 3 Ngo Than 2004-01-13 16:27:21 EST
it's already fixed in 3.1.94-0.2, which is available in rawhide ;-)

Note You need to log in before you can comment on or make changes to this bug.